Package org.silverpeas.components.gallery.delegate

## Class AbstractMediaDataDelegate.HeaderData

- java.lang.Object
- - org.silverpeas.components.gallery.delegate.AbstractMediaDataDelegate.HeaderData

- Enclosing class:
    AbstractMediaDataDelegate

      public class AbstractMediaDataDelegate.HeaderData
      extends Object

  Media header data
  Author:
    Yohann Chastagnier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeaderData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.silverpeas.core.pdc.pdc.model.PdcPosition>` | `getPdcPositions()` |
    `void` | `setAuthor​(String author)` |
    `void` | `setBeginDownloadDate​(String beginDownloadDate)` |
    `void` | `setBeginVisibilityDate​(String beginVisibilityDate)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDownloadAuthorized​(boolean download)` |
    `void` | `setDownloadAuthorized​(String downloadAuthorized)` |
    `void` | `setEndDownloadDate​(String endDownloadDate)` |
    `void` | `setEndVisibilityDate​(String endVisibilityDate)` |
    `void` | `setHomepageUrl​(String homepageUrl)` |
    `void` | `setKeyWord​(String keyWord)` |
    `void` | `setPdcPositions​(List<org.silverpeas.core.pdc.pdc.model.PdcPosition> pdcPositions)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderData

          public HeaderData()

  - ### Method Detail

    - #### setHomepageUrl

          public void setHomepageUrl​(String homepageUrl)

    - #### setTitle

          public void setTitle​(String title)

    - #### setDescription

          public void setDescription​(String description)

    - #### setAuthor

          public void setAuthor​(String author)

    - #### setKeyWord

          public void setKeyWord​(String keyWord)

    - #### setBeginVisibilityDate

          public void setBeginVisibilityDate​(String beginVisibilityDate)
                                      throws ParseException

      Throws:
        `ParseException`

    - #### setEndVisibilityDate

          public void setEndVisibilityDate​(String endVisibilityDate)
                                    throws ParseException

      Throws:
        `ParseException`

    - #### setDownloadAuthorized

          public void setDownloadAuthorized​(String downloadAuthorized)

    - #### setDownloadAuthorized

          public void setDownloadAuthorized​(boolean download)

    - #### setBeginDownloadDate

          public void setBeginDownloadDate​(String beginDownloadDate)
                                    throws ParseException

      Throws:
        `ParseException`

    - #### setEndDownloadDate

          public void setEndDownloadDate​(String endDownloadDate)
                                  throws ParseException

      Throws:
        `ParseException`

    - #### getPdcPositions

          public List<org.silverpeas.core.pdc.pdc.model.PdcPosition> getPdcPositions()

    - #### setPdcPositions

          public void setPdcPositions​(List<org.silverpeas.core.pdc.pdc.model.PdcPosition> pdcPositions)